/v1/routers/{router_id}Update router
Update a router
Path Parameters
router_id
string<uuid>requiredpath
Router ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Header Parameters
X-Region
stringrequiredheader
Region code to query resources from. Required for all resource operations.
Example: "sao1"
Request Body
requiredContent-Type: application/json
name
stringoptionaldescription
stringoptionalexternal_gateway
booleanoptionalEnable or disable connection to the public network
routes
arrayoptionalnullable
Static routes. Set to empty array to clear all routes, omit to keep unchanged.
tags
arrayoptionalResponses
Router updated
Content-Type: application/json
router
objectoptionalInvalid request parameters
Content-Type: application/json
error
objectrequiredAuthentication required or token invalid
Content-Type: application/json
error
objectrequiredResource not found
Content-Type: application/json
error
objectrequiredInternal server error
Content-Type: application/json
error
objectrequiredcurl -X PATCH "https://api.spo1.mycloud.com/v1/routers/550e8400-e29b-41d4-a716-446655440000" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json" \-d '{"name": "string","description": "string","external_gateway": true,"routes": [{"destination": "10.0.0.0/8","nexthop": "192.168.1.1"}],"tags": ["web","frontend"]}'
Response
Router updated
{"router": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:network:router:550e8400-e29b-41d4-a716-446655440000","name": "main-router","description": "string","status": "ACTIVE","external_gateway_info": {"enable_snat": true,"external_fixed_ips": [{"ip_address": "string"}]},"routes": [{"destination": "10.0.0.0/8","nexthop": "192.168.1.1"}],"tags": ["web","frontend"],"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}